Module java.desktop
Package java.awt.event

## Interface TextListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `AWTEventMulticaster`, `TextArea.AccessibleAWTTextArea`, `TextComponent.AccessibleAWTTextComponent`, `TextField.AccessibleAWTTextField`

    public interface TextListener
    extends EventListener

The listener interface for receiving text events. The class that is interested in processing a text event implements this interface. The object created with that class is then registered with a component using the component's `addTextListener` method. When the component's text changes, the listener object's `textValueChanged` method is invoked.

Since:
  1.1
See Also:
  `TextEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `textValueChanged​(TextEvent e)` Invoked when the value of the text has changed.

### Method Detail

#### textValueChanged

    void textValueChanged​(TextEvent e)

Invoked when the value of the text has changed. The code written for this method performs the operations that need to occur when text changes.

Parameters:
  `e` - the event to be processed